import { HcApi } from '../../request/index'

export default {
    async page(form) {
        return HcApi({
            url: '/api/blade-system/param/list',
            method: 'get',
            params: form,
        })
    },
    //菜单详情
    async detail(id) {
        return HcApi({
            url: '/api/blade-system/param/detail',
            method: 'get',
            params: { id },
        })
    },
    async submit(form) {
        return HcApi({
            url: '/api/blade-system/param/submit',
            method: 'post',
            data: form,
        })
    },
    async roleTree() {
        return HcApi({
            url: '/api/blade-system/role/tree',
            method: 'get',
            params: {},
        })
    },
    async treeTow() {
        return HcApi({
            url: '/api/blade-system/role/treeTow',
            method: 'get',
            params: {},
        })
    },
    async del(ids) {
        return HcApi({
            url: '/api/blade-system/param/remove',
            method: 'post',
            params: { ids },
        })
    },
}
