import website from '~src/config/index'

//饿了么UI
import ElementPlus from 'element-plus'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import 'dayjs/locale/zh-cn'

//hc-vue3-ui
import HcVue3UI from 'hc-vue3-ui'
import 'hc-vue3-ui/css'
import 'hc-vue3-ui/scss'

//导入其它样式
import '../styles/app/main.scss'
import '../styles/app/element.scss'
import '../styles/app/theme.scss'

//注册全局组件
export const setupInstall = (App) => {
    // 饿了么UI框架
    App.use(ElementPlus, {
        locale: zhCn,
    })
    // hc-vue3-ui
    App.use(HcVue3UI, website)
}
