import { HcApi } from '../request/index'
import website from '~src/config/index'

export const getRoutes = () => HcApi({
    url: '/api/blade-system/menu/routes',
    method: 'get',
    params: { sysType: website.clientId },
})

export const getButtons = () => HcApi({
    url: '/api/blade-system/menu/buttons',
    method: 'get',
})

export const getAazyList = (form) => HcApi({
    url: '/api/blade-system/menu/lazy-list',
    method: 'get',
    params: form,
})
