import HcTableFormComponents from './modules/components.vue'
import HcElSelect from './modules/el-select.vue'
import HcElOption from './modules/el-option.vue'
import HcElCheckboxGroup from './modules/el-checkbox-group.vue'
import HcElCheckbox from './modules/el-checkbox.vue'
import HcElRadioGroup from './modules/el-radio-group.vue'
import HcElRadio from './modules/el-radio.vue'
import HcTableFormUpload from './modules/form-upload.vue'
import HcFormCheckboxGroup from './modules/form-checkbox.vue'
import HcTableEchart from './modules/form-echart.vue'
import HcElTooltip from './modules/el-tooltip.vue'

export default {
    ElInput: HcTableFormComponents,
    ElSelect: HcElSelect,
    ElOption: HcElOption,
    ElDatePicker: HcTableFormComponents,
    ElTimePicker: HcTableFormComponents,
    ElCheckboxGroup: HcElCheckboxGroup,
    ElCheckbox: HcElCheckbox,
    ElRadioGroup: HcElRadioGroup,
    ElRadio: HcElRadio,
    ElTooltip: HcElTooltip,
    HcTableFormUpload: HcTableFormUpload,
    HcFormSelectSearch: HcTableFormComponents,
    HcFormSelectSearch2: HcTableFormComponents,
    HcFormCheckboxGroup: HcFormCheckboxGroup,
    HcEchart: HcTableEchart,
}
